Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.extractor
Class EventBasedExcelExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hssf.extractor.EventBasedExcelExtractor

    public class EventBasedExcelExtractor

extends POIOLE2TextExtractor

A text extractor for Excel files, that is based on the hssf eventusermodel api. It will typically use less memory than `ExcelExtractor`, but may not provide the same richness of formatting. Returns the textual content of the file, suitable for indexing by something like Lucene, but not really intended for display to the user.

To turn an excel file into a CSV or similar, then see the XLS2CSVmra example

http://svn.apache.org/repos/asf/poi/trunk/src/examples/src/org/apache/poi/hssf/eventusermodel/examples/XLS2CSVmra.java

Constructor Summary
`EventBasedExcelExtractor(DirectoryNode dir)`
`EventBasedExcelExtractor(DirectoryNode dir, POIFSFileSystem fs)` Deprecated. Use `EventBasedExcelExtractor(DirectoryNode)` instead
`EventBasedExcelExtractor(POIFSFileSystem fs)`

Method Summary
`DocumentSummaryInformation` | `getDocSummaryInformation()` Would return the document information metadata for the document, if we supported it
`POIFSFileSystem` | `getFileSystem()` Deprecated. Use `POIOLE2TextExtractor.getRoot()` instead
`SummaryInformation` | `getSummaryInformation()` Would return the summary information metadata for the document, if we supported it
`java.lang.String` | `getText()` Retreives the text contents of the file
`void` | `setFormulasNotResults(boolean formulasNotResults)` Should we return the formula itself, and not the result it produces? Default is false
`void` | `setIncludeSheetNames(boolean includeSheetNames)` Should sheet names be included? Default is true

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getMetadataTextExtractor, getRoot`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventBasedExcelExtractor

    public EventBasedExcelExtractor(DirectoryNode dir,
                                    POIFSFileSystem fs)

  Deprecated. Use `EventBasedExcelExtractor(DirectoryNode)` instead

### EventBasedExcelExtractor

    public EventBasedExcelExtractor(DirectoryNode dir)

### EventBasedExcelExtractor

    public EventBasedExcelExtractor(POIFSFileSystem fs)

Method Detail

### getFileSystem

    public POIFSFileSystem getFileSystem()

  Deprecated. Use `POIOLE2TextExtractor.getRoot()` instead

  Return the underlying POIFS FileSystem of this document.

  Overrides:
    `getFileSystem` in class `POIOLE2TextExtractor`

### getDocSummaryInformation

    public DocumentSummaryInformation getDocSummaryInformation()

  Would return the document information metadata for the document, if we supported it

  Overrides:
    `getDocSummaryInformation` in class `POIOLE2TextExtractor`

### getSummaryInformation

    public SummaryInformation getSummaryInformation()

  Would return the summary information metadata for the document, if we supported it

  Overrides:
    `getSummaryInformation` in class `POIOLE2TextExtractor`

### setIncludeSheetNames

    public void setIncludeSheetNames(boolean includeSheetNames)

  Should sheet names be included? Default is true

### setFormulasNotResults

    public void setFormulasNotResults(boolean formulasNotResults)

  Should we return the formula itself, and not the result it produces? Default is false

### getText

    public java.lang.String getText()

  Retreives the text contents of the file

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD